---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-7-29 15:05:11
---

WEATHER_TYPE={
    NONE = 0,
    SNOW = 1,
    RAIN = 2
};

---@class LBaseWeather
local LBaseWeather = LBaseWeather or class("LBaseWeather");

function LBaseWeather:Enable(bEnable)
    return false;
end

function LBaseWeather:IsEnable()
    return false;
end

function LBaseWeather:EnableSnowCover(bEnable)
    return false;
end

function LBaseWeather:IsEnableSnowCover()
    return false;
end

function LBaseWeather:EnableSplash(bEnable)
    return false;
end

function LBaseWeather:IsEnableSplash()
    return false;
end

function LBaseWeather:EnableWaterDrop(bEnable)
    return false;
end

function LBaseWeather:IsEnableWaterDrop()
    return false;
end

function LBaseWeather:EnableDropShockWave(bEnable)
    return false;
end

function LBaseWeather:IsEnableDropShockWave()
    return false;
end

function LBaseWeather:UseMaterial(bUse)
    return false;
end

function LBaseWeather:IsUseMaterial()
    return false;
end

function LBaseWeather:SetDensity(fDensity)
    return false;
end

function LBaseWeather:GetDensity()
    return 0.0;
end

function LBaseWeather:SetDensityGate(fGate)
    return false;
end

function LBaseWeather:GetDensityGate()
    return 0.0;
end

function LBaseWeather:SetSpeed(fSpeed)
    return false;
end

function LBaseWeather:GetSpeed()
    return 0.0;
end

function LBaseWeather:SetSpeedGate(fGate)
    return false;
end

function LBaseWeather:GetSpeedGate()
    return 0.0;
end

function LBaseWeather:SetLength(fLength)
    return false;
end

function LBaseWeather:GetLength()
    return 0.0;
end

function LBaseWeather:SetWidth(fWidth)
    return false;
end

function LBaseWeather:GetWidth()
    return 0.0;
end

function LBaseWeather:SetAlpha(fAlpha)
    return false;
end

function LBaseWeather:GetAlpha()
    return 0.0;
end

function LBaseWeather:SetWind(fWind)
    return false;
end

function LBaseWeather:GetWind()
    return 0.0;
end

function LBaseWeather:SetAlphaFadeSpeedBegin(fAlphaFadeSpeedBegin)
    return false;
end

function LBaseWeather:GetAlphaFadeSpeedBegin()
    return 0.0;
end

function LBaseWeather:SetAlphaFadeSpeedEnd(fAlphaFadeSpeedEnd)
    return false;
end

function LBaseWeather:GetAlphaFadeSpeedEnd()
    return 0.0;
end

function LBaseWeather:SetSnowPercent(fSnowPercent)
    return false;
end

function LBaseWeather:GetSnowPercent()
    return 0.0;
end

function LBaseWeather:SetBrightness(fBrightness)
    return false;
end

function LBaseWeather:GetBrightness()
    return 0.0;
end

function LBaseWeather:SetParticleTexture(szTexture)
    return false;
end

function LBaseWeather:GetParticleTexture()
    return "";
end

function LBaseWeather:SetMaterialFile(szMaterialFile)
    return false;
end

function LBaseWeather:GetMaterialFile()
    return "";
end

function LBaseWeather:SetType(eType)
    return false;
end

function LBaseWeather:GetType()
    return 0;
end

function LBaseWeather:Apply()
    return false;
end

_G.WEATHER_TYPE = WEATHER_TYPE;
_G.g_Weather = LBaseWeather:new();
